Bug 178046 - Web Inspector: make items in the CanvasOverviewContentView more flexible
Summary: Web Inspector: make items in the CanvasOverviewContentView more flexible
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords:
Depends on:
Blocks: WebInspectorCanvasTab
  Show dependency treegraph
 
Reported: 2017-10-07 00:16 PDT by Devin Rousso
Modified: 2017-12-04 17:32 PST (History)
3 users (show)

See Also:


Attachments
Patch (1.59 KB, patch)
2017-10-07 00:16 PDT, Devin Rousso
bburg: review-
Details | Formatted Diff | Diff
[Image] After Patch is applied (325.87 KB, image/png)
2017-10-07 00:17 PDT, Devin Rousso
no flags Details
[Image] Before (85.61 KB, image/png)
2017-10-07 15:58 PDT, Devin Rousso
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2017-10-07 00:16:07 PDT
Since we are using a flex box, we should take advantage of the flexibility available and make the items grow to fit the space available.  This should have an added benefit of providing more space for the preview, allowing it to be larger.
Comment 1 Devin Rousso 2017-10-07 00:16:50 PDT
Created attachment 323088 [details]
Patch
Comment 2 Devin Rousso 2017-10-07 00:17:03 PDT
Created attachment 323089 [details]
[Image] After Patch is applied
Comment 3 Joseph Pecoraro 2017-10-07 02:07:07 PDT
Again there needs to be a before picture, ideally with the exact same content and window size, to really understand what is changing.
Comment 4 Devin Rousso 2017-10-07 15:58:51 PDT
Created attachment 323103 [details]
[Image] Before
Comment 5 Joseph Pecoraro 2017-10-08 14:15:14 PDT
I actually like the Before picture better. The extra padding around the sides makes the contents stand out more.
Comment 6 Brian Burg 2017-10-09 11:35:02 PDT
Comment on attachment 323088 [details]
Patch

I prefer the second one, as the first one just looks kind of cramped with the tiny gray border.

Joe, can we land this and revert if it is too annoying or space wasting?
Comment 7 Brian Burg 2017-10-09 11:53:40 PDT
Oops, I misread which attachment is which. I agree with Joe now. :P
Comment 8 Brian Burg 2017-10-09 11:54:10 PDT
I suppose we could still force a gutter on both sides and use flex box for the rest of the content area..
Comment 9 Devin Rousso 2017-10-23 21:57:28 PDT
I think the consensus is to leave it as is.  I've gotten used to it as well :P